
package de.ivu.elect.presentation.person;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.person.entity.Beruf;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.hilfe.KeineOnlineHilfe;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.person.form.BerufViewFormBuilder;

@OnlineHilfeId(KeineOnlineHilfe.KEINE_ONLINE_HILFE)
@Named(AbstractBerufEditView.COMPONENT_NAME)
public class BerufEditView extends AbstractBerufEditView {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BerufViewFormBuilder berufViewFormBuilder;

  public BerufEditView() {
    super();
  }

  @Override
  protected boolean isGebietBearbeitenRechtPruefen() {
    return false;
  }

  @Override
  public void addProperties(FormBuilder builder, Beruf entity) {
    berufViewFormBuilder.addProperties(builder, entity);
  }
}
